#include "Ennemy.h"

Ennemy::Ennemy(Joueur* cible,SDL_Surface* ecran) : m_vie(6)
{
    m_ecran=ecran;
    m_cible=cible;
}

Ennemy::Ennemy(Joueur* cible,SDL_Surface* ecran,int vie) : m_vie(vie)
{
    m_ecran=ecran;
    m_cible=cible;
}

void Ennemy::recevoirDegats(int degats)
{
    m_vie-=degats;
    if (m_vie<0)
    {
        m_vie=0;
    }
}

void Ennemy::ressuciter()
{
    m_vie=60;
}

bool Ennemy::estVivant()
{
    if (m_vie==0)
    {
        return false;
    }
    else
    {
        return true;
    }
}
